> ## Documentation Index
> Fetch the complete documentation index at: https://developer.sandbox.co.in/llms.txt
> Use this file to discover all available pages before exploring further.

# GSTR-2A B2B

> Get all B2B invoices in GSTR-2A for a return period for authenticated taxpayer

#### Response schema

For successful responses, these resources describe the GSTN payload at `data.data`.

<Card title="View JSON schema" icon="code" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/request/taxpayer/gstr-2a/b2b.json" arrow="true" horizontal />

<Card title="View Excel field reference" icon="file-spreadsheet" href="https://raw.githubusercontent.com/in-co-sandbox/in-co-sandbox-docs/refs/heads/main/data/gst/schema/workbook/taxpayer/gstr-2a/b2b-v2.0.xlsx" arrow="true" horizontal />


## OpenAPI

````yaml api-reference/gst/compliance/openapi.json GET /gst/compliance/tax-payer/gstrs/gstr-2a/b2b/{year}/{month}
openapi: 3.0.1
info:
  title: compliance
  description: >-
    **GST Compliance API** enables businesses to automate compliance
    requirements like [Taxpayer
    verification](https://developer.sandbox.co.in/reference/search-gstin-api),
    [GSTR
    Filing](https://developer.sandbox.co.in/reference/gst-taxpayer-authentication),
    [Generating
    E-Invoices](https://developer.sandbox.co.in/reference/e-invoice-authentication-api),
    and [E-Way
    Bills](https://developer.sandbox.co.in/reference/e-way-bill-authentication-api).We
    provide these APIs from GSTN-authorised GST Suvidha Providers, handling the
    encryption-decryption and signing so you don't have to handle the
    complexities.
  version: 1.0.0
servers:
  - url: https://api.sandbox.co.in
  - url: https://test-api.sandbox.co.in
security: []
tags:
  - name: Public
  - name: Taxpayer
  - name: Taxpayer Auth
  - name: Returns
  - name: GSTR-1 Documents
  - name: File GSTR-1
  - name: GSTR-2A Documents
  - name: GSTR-2B Document
  - name: File GSTR-3B
  - name: GSTR-4
  - name: File GSTR-9
  - name: Invoice Management System
  - name: GSTR-1A Documents
  - name: File GSTR-1A
  - name: Ledgers
  - name: e-Invoice
  - name: Sales e-Invoices for return period
  - name: Purchase e-Invoices for return period
  - name: Front Office Notices
  - name: Front Office
  - name: AATO
  - name: e-Invoice1
  - name: Authentication
  - name: e-Invoice12
  - name: E-Way Bill
  - name: E-Way Bill1
  - name: Authentication1
  - name: Consignor
  - name: Consolidated E-Way Bill
  - name: Multi-Vehicle Movement
  - name: Consignee
  - name: Transporter
  - name: Consolidated E-Way Bill1
  - name: Multi-vehicle Movement
  - name: Common
paths:
  /gst/compliance/tax-payer/gstrs/gstr-2a/b2b/{year}/{month}:
    get:
      tags:
        - Taxpayer
        - Returns
        - GSTR-2A Documents
      summary: GSTR-2A B2B
      description: >-
        Get all B2B invoices in GSTR-2A for a return period for authenticated
        taxpayer
      operationId: getGstr2aB2b
      parameters:
        - name: year
          in: path
          description: ''
          required: true
          example: '{{year}}'
          schema:
            type: string
        - name: month
          in: path
          description: ''
          required: true
          example: '{{month}}'
          schema:
            type: string
        - name: from
          in: query
          description: Filter to fetch data from specified date. E.g., 28/01/2025
          required: false
          schema:
            type: string
            example: 29/01/2025
        - name: counterparty_gstin
          in: query
          description: Filter by supplier / counterparty GSTIN
          required: false
          schema:
            type: string
            example: '{{gstin}}'
        - name: authorization
          in: header
          description: >-
            GST taxpayer access token. For token-generation steps, refer to the
            [Generate Taxpayer
            Session](/recipes/gst/authentication/generate_tax_payer_session)
            recipe, then pass the token in the authorization header.
          required: true
          example: '{{gsp_access_token}}'
          schema:
            type: string
        - name: x-api-key
          in: header
          description: API key for identification
          required: true
          example: '{{api_key}}'
          schema:
            type: string
        - name: x-api-version
          in: header
          description: API version
          required: false
          example: ''
          schema:
            type: string
            default: 1.0.0
      responses:
        '200':
          description: 200 Success / RET13509 No data found
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/GetGstr2aB2bResponse'
              examples:
                200 Success:
                  summary: 200 Success
                  value:
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        b2b:
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 24ABCPD9123Q1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  15479fc2ca8939a16a0ad1714f804e32199489fa2bcc34dbc3693e075ab0a923
                                idt: 01-12-2023
                                inum: 23-24/126
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 175.5
                                      csamt: 0
                                      iamt: 0
                                      rt: 18
                                      samt: 175.5
                                      txval: 1950
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 2301
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 06ABCCG0123D1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  ce60dfa45192a4f3a3d1d6c983d700dded0033b2a17600aa1c41cb287a8b1803
                                idt: 31-12-2023
                                inum: '4883379355'
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 2197.29
                                      rt: 18
                                      txval: 12207.14
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 14404.43
                              - chksum: >-
                                  67d3cec7423b2176bef9962f36667a297a0bd8836fc86bbca2777bd7898d862d
                                idt: 31-12-2023
                                inum: '4884148871'
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      csamt: 0
                                      iamt: 24.64
                                      rt: 18
                                      txval: 136.9
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 161.54
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 24ABCCB2123P1YZ
                            fldtr1: 10-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  7851ccb28bef36326547ccd147a1ea0e914dbe085f8eaa0b05486e97d2c1745c
                                idt: 01-12-2023
                                inum: GJI0611330220210
                                inv_typ: R
                                irn: >-
                                  qoycq59t3004161d2a8006b1cafe7213ccaa4014120722fa5eb2d68854a04af8
                                irngendate: 02-12-2023
                                itms:
                                  - itm_det:
                                      camt: 26.91
                                      iamt: 0
                                      rt: 18
                                      samt: 26.91
                                      txval: 299
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 352.82
                              - chksum: >-
                                  853539a3357c5c81b129df310ac02e55bc5fd2026f7c179be3f4c2feca677237
                                idt: 01-12-2023
                                inum: GJI0611330353886
                                inv_typ: R
                                irn: >-
                                  qoycq59t30487cf5110f295d37bdc8e4ce316455a9fc480004671ed20811f35c
                                irngendate: 01-12-2023
                                itms:
                                  - itm_det:
                                      camt: 900
                                      iamt: 0
                                      rt: 18
                                      samt: 900
                                      txval: 10000
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 11800
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 24ABCPL3123J1YZ
                            fldtr1: 13-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  639caff03a1810e4d078216813b9f3cc0fad85f65f3eb8ce371494b4ce60c458
                                idt: 30-10-2023
                                inum: '76'
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 450
                                      rt: 18
                                      samt: 450
                                      txval: 5000
                                    num: 1800
                                pos: '24'
                                rchrg: 'N'
                                val: 5900
                              - chksum: >-
                                  ae4e297bb07db8ce3d376a60354ead6ac03ca2e12e665a92b7d8752fd8f63c25
                                idt: 31-10-2023
                                inum: '77'
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 472.5
                                      rt: 18
                                      samt: 472.5
                                      txval: 5250
                                    num: 1800
                                pos: '24'
                                rchrg: 'N'
                                val: 6195
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 27ABCCU4123C1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  4a331460e9605b817bfce2a5ad68bce81ff9bef5197bedc22968f73039b9098f
                                idt: 22-12-2023
                                inum: PAN-V/27/424
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 2160
                                      rt: 18
                                      samt: 0
                                      txval: 12000
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 14160
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 24ABCCB2123G1YZ
                            fldtr1: 10-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  6491b64316c38b79606b4225f75dd141614a4f44c6449f20db436250aacfd5db
                                idt: 22-12-2023
                                inum: FBBL2424B29715
                                inv_typ: R
                                irn: >-
                                  qoycq59t303eb4d1cab56c71027d971cbf0eeb1530e14fc31f996cd101d49842
                                irngendate: 23-12-2023
                                itms:
                                  - itm_det:
                                      camt: 2700
                                      iamt: 0
                                      rt: 18
                                      samt: 2700
                                      txval: 30000
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 35400
                              - chksum: >-
                                  2cd3d2eb24045ede76d4932c7aaede1a11f3ff1a2c9f92e551fef7093009add6
                                idt: 12-12-2023
                                inum: HT2424I001454703
                                inv_typ: R
                                irn: >-
                                  qoycq59t309f77a9bb8318a7931b1540e8f29052ee672f9525bcb10938d8e3e1
                                irngendate: 12-12-2023
                                itms:
                                  - itm_det:
                                      camt: 359.91
                                      iamt: 0
                                      rt: 18
                                      samt: 359.91
                                      txval: 3999
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 4718.82
                              - chksum: >-
                                  b024ee4dca59e40216ed28160b90240d73f959ab2f683e5f412c11248befeca6
                                idt: 18-12-2023
                                inum: HT2424I001485717
                                inv_typ: R
                                irn: >-
                                  qoycq59t30b3ceed1dbc3f1129ada8d1032de76a8e5d9232cc7ae75641369580
                                irngendate: 18-12-2023
                                itms:
                                  - itm_det:
                                      camt: 359.91
                                      iamt: 0
                                      rt: 18
                                      samt: 359.91
                                      txval: 3999
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 4718.82
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 24ABCPK3123G1YZ
                            fldtr1: 10-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  6df0d792c4a275b9ae291facbf71dff1c645dc2dc1840baf61feb7fbf1956fb8
                                idt: 31-12-2023
                                inum: GIN0003609
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 35.1
                                      rt: 18
                                      samt: 35.1
                                      txval: 390
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 460
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 36ABCPH8123R1YZ
                            fldtr1: 08-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  497d558440c623ce31e6f00af1b8cd40334c7ef2d8c5ba4586698950f1c6a07a
                                idt: 02-12-2023
                                inum: '08'
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      iamt: 288
                                      rt: 18
                                      txval: 1600
                                    num: 1800
                                pos: '24'
                                rchrg: 'N'
                                val: 1887
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 33ABCCZ4123M2YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  4a40811683d7324a026c4cc57d6c9091cdd72110d38979133c4519f70d3f1052
                                idt: 10-12-2023
                                inum: '102324229636'
                                inv_typ: R
                                irn: >-
                                  qoycq59t30c9eacb3701114023ed746e0e2c4f38a2a88a525b10467d94b379ee
                                irngendate: 11-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 518.4
                                      rt: 18
                                      samt: 0
                                      txval: 2880
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 3398.4
                              - chksum: >-
                                  7b869627113a641ec26e037e8a43ce813c778615d6306e08ac96a1c231143edf
                                idt: 11-12-2023
                                inum: '102324230047'
                                inv_typ: R
                                irn: >-
                                  qoycq59t30b4128b0b6343c13b5dd21b2d3084f08f30d1a0f8389984fd2615b1
                                irngendate: 11-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 432
                                      rt: 18
                                      samt: 0
                                      txval: 2400
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 2832
                              - chksum: >-
                                  219acfe29f93805dff06f6d5a480be29bcc9ead5e870604fd706a28dc5d138ce
                                idt: 25-12-2023
                                inum: '102324243574'
                                inv_typ: R
                                irn: >-
                                  qoycq59t307ae1cebb53e68135e8d42c53e2d9792b8b7bd543f01ab0da203bc6
                                irngendate: 26-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 50.17
                                      rt: 18
                                      samt: 0
                                      txval: 278.71
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 328.88
                              - chksum: >-
                                  231c3c2cdd8453e8d01baa2c9f2def14892db3c3004c18de16f4d82cb7ba6df7
                                idt: 27-12-2023
                                inum: '102324245907'
                                inv_typ: R
                                irn: >-
                                  qoycq59t30b5bdd11a0876f41ae60132a0caa589b508aedf4dc86a7df8f16b17
                                irngendate: 28-12-2023
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 44.59
                                      rt: 18
                                      samt: 0
                                      txval: 247.74
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                srctyp: e-Invoice
                                val: 292.33
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 29ABCCR4123K1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  c5d125323e779d687ee02308001099bdb55f3afaefd36da570cb0eec4e5061ed
                                idt: 10-12-2023
                                inum: '141519'
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      iamt: 403
                                      rt: 18
                                      txval: 2240
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 2643
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 27ABCCI0123E1YZ
                            fldtr1: 10-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  64aec8aebbf45c388d77bc8a03b38895e73ec5d89a44c18cbc9703a44b419a65
                                idt: 12-12-2023
                                inum: NPS/1224/0088766
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 54
                                      rt: 18
                                      samt: 0
                                      txval: 300
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 354
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 29ABCCR4123K1YZ
                            fldtr1: 10-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  a15e9083d654cb370ff7add0ef93fe072a8a1a1c5ad96ee569941a5cd433a71e
                                idt: 21-12-2023
                                inum: INV-000764
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      iamt: 1890
                                      rt: 18
                                      txval: 10500
                                    num: 1800
                                pos: '24'
                                rchrg: 'N'
                                val: 12390
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 24ABCPM7123B2YZ
                            fldtr1: 09-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  be4342e9e49709abc9e5f11d3098212e6db62df15a960973b580361d458f1ba8
                                idt: 03-10-2023
                                inum: VPDL-331
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 80.2
                                      csamt: 0
                                      rt: 12
                                      samt: 80.2
                                      txval: 1336.62
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 1497
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 27ABCCN2123N1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  8d829a556dcde2e34abe140562131b7bea4aec7eeb2f9ac0ebc668582eaddeb0
                                idt: 19-12-2023
                                inum: OPV/997000175687
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      camt: 0
                                      csamt: 0
                                      iamt: 3813.56
                                      rt: 18
                                      samt: 0
                                      txval: 21186.44
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 25000
                          - cfs: 'Y'
                            cfs3b: 'Y'
                            ctin: 29ABCCR4123J1YZ
                            fldtr1: 11-Jan-24
                            flprdr1: Dec-23
                            inv:
                              - chksum: >-
                                  75d98911ec2350b650c79a157760948606fd89837d623d16a19e7b1b4343c457
                                idt: 31-12-2023
                                inum: 4XCFPHNO3URQ1223
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      iamt: 1496.86
                                      rt: 18
                                      txval: 8315.9
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 12711.98
                              - chksum: >-
                                  89e0c717a02ff5666d1f7a5a59fed3a0a368c96036ad88248902b1eaf6b87a73
                                idt: 31-12-2023
                                inum: GSDKTASVXEXU1223
                                inv_typ: R
                                itms:
                                  - itm_det:
                                      iamt: 7384.13
                                      rt: 18
                                      txval: 41022.9
                                    num: 1
                                pos: '24'
                                rchrg: 'N'
                                val: 52865.55
                    timestamp: 1763446641000
                    transaction_id: ade7daa4-4ece-4549-8c02-ee84c2873cad
                RET13509 No data found:
                  summary: RET13509 No data found
                  value:
                    code: 200
                    data:
                      status_cd: '0'
                      error:
                        error_cd: RET13509
                        message: No document found for the provided Inputs
                    timestamp: 1763446641000
                    transaction_id: 7471e25c-8054-4a42-bd39-fb26776a1c59
                200 Success 2:
                  summary: 200 Success 2
                  value:
                    transaction_id: 41bb8041-fb83-4654-8d75-85a19f329158
                    code: 200
                    data:
                      status_cd: '1'
                      data:
                        b2b:
                          - inv:
                              - val: 2301
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 175.5
                                      rt: 18
                                      txval: 1950
                                      camt: 175.5
                                      iamt: 0
                                inv_typ: R
                                pos: '24'
                                idt: 01-12-2023
                                rchrg: 'N'
                                inum: 23-24/126
                                chksum: >-
                                  15479fc2ca8939a16a0ad1714f804e32199489fa2bcc34dbc3693e075ab0a923
                            cfs: 'Y'
                            ctin: 24ABCPD9123Q1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 14404.43
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      rt: 18
                                      txval: 12207.14
                                      iamt: 2197.29
                                inv_typ: R
                                pos: '24'
                                idt: 31-12-2023
                                rchrg: 'N'
                                inum: '4883379355'
                                chksum: >-
                                  ce60dfa45192a4f3a3d1d6c983d700dded0033b2a17600aa1c41cb287a8b1803
                              - val: 161.54
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      rt: 18
                                      txval: 136.9
                                      iamt: 24.64
                                inv_typ: R
                                pos: '24'
                                idt: 31-12-2023
                                rchrg: 'N'
                                inum: '4884148871'
                                chksum: >-
                                  67d3cec7423b2176bef9962f36667a297a0bd8836fc86bbca2777bd7898d862d
                            cfs: 'Y'
                            ctin: 06ABCCG0123D1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 352.82
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 26.91
                                      rt: 18
                                      txval: 299
                                      camt: 26.91
                                      iamt: 0
                                inv_typ: R
                                irn: >-
                                  qoycq59t3004161d2a8006b1cafe7213ccaa4014120722fa5eb2d68854a04af8
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 01-12-2023
                                rchrg: 'N'
                                irngendate: 02-12-2023
                                inum: GJI0611330220210
                                chksum: >-
                                  7851ccb28bef36326547ccd147a1ea0e914dbe085f8eaa0b05486e97d2c1745c
                              - val: 11800
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 900
                                      rt: 18
                                      txval: 10000
                                      camt: 900
                                      iamt: 0
                                inv_typ: R
                                irn: >-
                                  qoycq59t30487cf5110f295d37bdc8e4ce316455a9fc480004671ed20811f35c
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 01-12-2023
                                rchrg: 'N'
                                irngendate: 01-12-2023
                                inum: GJI0611330353886
                                chksum: >-
                                  853539a3357c5c81b129df310ac02e55bc5fd2026f7c179be3f4c2feca677237
                            cfs: 'Y'
                            ctin: 24ABCCB2123P1YZ
                            fldtr1: 10-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 5900
                                itms:
                                  - num: 1800
                                    itm_det:
                                      samt: 450
                                      rt: 18
                                      txval: 5000
                                      camt: 450
                                inv_typ: R
                                pos: '24'
                                idt: 30-10-2023
                                rchrg: 'N'
                                inum: '76'
                                chksum: >-
                                  639caff03a1810e4d078216813b9f3cc0fad85f65f3eb8ce371494b4ce60c458
                              - val: 6195
                                itms:
                                  - num: 1800
                                    itm_det:
                                      samt: 472.5
                                      rt: 18
                                      txval: 5250
                                      camt: 472.5
                                inv_typ: R
                                pos: '24'
                                idt: 31-10-2023
                                rchrg: 'N'
                                inum: '77'
                                chksum: >-
                                  ae4e297bb07db8ce3d376a60354ead6ac03ca2e12e665a92b7d8752fd8f63c25
                            cfs: 'Y'
                            ctin: 24ABCPL3123J1YZ
                            fldtr1: 13-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 14160
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 12000
                                      camt: 0
                                      iamt: 2160
                                inv_typ: R
                                pos: '24'
                                idt: 22-12-2023
                                rchrg: 'N'
                                inum: PAN-V/27/424
                                chksum: >-
                                  4a331460e9605b817bfce2a5ad68bce81ff9bef5197bedc22968f73039b9098f
                            cfs: 'Y'
                            ctin: 27ABCCU4123C1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 35400
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 2700
                                      rt: 18
                                      txval: 30000
                                      camt: 2700
                                      iamt: 0
                                inv_typ: R
                                irn: >-
                                  qoycq59t303eb4d1cab56c71027d971cbf0eeb1530e14fc31f996cd101d49842
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 22-12-2023
                                rchrg: 'N'
                                irngendate: 23-12-2023
                                inum: FBBL2424B29715
                                chksum: >-
                                  6491b64316c38b79606b4225f75dd141614a4f44c6449f20db436250aacfd5db
                              - val: 4718.82
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 359.91
                                      rt: 18
                                      txval: 3999
                                      camt: 359.91
                                      iamt: 0
                                inv_typ: R
                                irn: >-
                                  qoycq59t309f77a9bb8318a7931b1540e8f29052ee672f9525bcb10938d8e3e1
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 12-12-2023
                                rchrg: 'N'
                                irngendate: 12-12-2023
                                inum: HT2424I001454703
                                chksum: >-
                                  2cd3d2eb24045ede76d4932c7aaede1a11f3ff1a2c9f92e551fef7093009add6
                              - val: 4718.82
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 359.91
                                      rt: 18
                                      txval: 3999
                                      camt: 359.91
                                      iamt: 0
                                inv_typ: R
                                irn: >-
                                  qoycq59t30b3ceed1dbc3f1129ada8d1032de76a8e5d9232cc7ae75641369580
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 18-12-2023
                                rchrg: 'N'
                                irngendate: 18-12-2023
                                inum: HT2424I001485717
                                chksum: >-
                                  b024ee4dca59e40216ed28160b90240d73f959ab2f683e5f412c11248befeca6
                            cfs: 'Y'
                            ctin: 24ABCCB2123G1YZ
                            fldtr1: 10-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 460
                                itms:
                                  - num: 1
                                    itm_det:
                                      samt: 35.1
                                      rt: 18
                                      txval: 390
                                      camt: 35.1
                                inv_typ: R
                                pos: '24'
                                idt: 31-12-2023
                                rchrg: 'N'
                                inum: GIN0003609
                                chksum: >-
                                  6df0d792c4a275b9ae291facbf71dff1c645dc2dc1840baf61feb7fbf1956fb8
                            cfs: 'Y'
                            ctin: 24ABCPK3123G1YZ
                            fldtr1: 10-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 1887
                                itms:
                                  - num: 1800
                                    itm_det:
                                      rt: 18
                                      txval: 1600
                                      iamt: 288
                                inv_typ: R
                                pos: '24'
                                idt: 02-12-2023
                                rchrg: 'N'
                                inum: '08'
                                chksum: >-
                                  497d558440c623ce31e6f00af1b8cd40334c7ef2d8c5ba4586698950f1c6a07a
                            cfs: 'Y'
                            ctin: 36ABCPH8123R1YZ
                            fldtr1: 08-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 3398.4
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 2880
                                      camt: 0
                                      iamt: 518.4
                                inv_typ: R
                                irn: >-
                                  qoycq59t30c9eacb3701114023ed746e0e2c4f38a2a88a525b10467d94b379ee
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 10-12-2023
                                rchrg: 'N'
                                irngendate: 11-12-2023
                                inum: '102324229636'
                                chksum: >-
                                  4a40811683d7324a026c4cc57d6c9091cdd72110d38979133c4519f70d3f1052
                              - val: 2832
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 2400
                                      camt: 0
                                      iamt: 432
                                inv_typ: R
                                irn: >-
                                  qoycq59t30b4128b0b6343c13b5dd21b2d3084f08f30d1a0f8389984fd2615b1
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 11-12-2023
                                rchrg: 'N'
                                irngendate: 11-12-2023
                                inum: '102324230047'
                                chksum: >-
                                  7b869627113a641ec26e037e8a43ce813c778615d6306e08ac96a1c231143edf
                              - val: 328.88
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 278.71
                                      camt: 0
                                      iamt: 50.17
                                inv_typ: R
                                irn: >-
                                  qoycq59t307ae1cebb53e68135e8d42c53e2d9792b8b7bd543f01ab0da203bc6
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 25-12-2023
                                rchrg: 'N'
                                irngendate: 26-12-2023
                                inum: '102324243574'
                                chksum: >-
                                  219acfe29f93805dff06f6d5a480be29bcc9ead5e870604fd706a28dc5d138ce
                              - val: 292.33
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 247.74
                                      camt: 0
                                      iamt: 44.59
                                inv_typ: R
                                irn: >-
                                  qoycq59t30b5bdd11a0876f41ae60132a0caa589b508aedf4dc86a7df8f16b17
                                pos: '24'
                                srctyp: E-Invoice
                                idt: 27-12-2023
                                rchrg: 'N'
                                irngendate: 28-12-2023
                                inum: '102324245907'
                                chksum: >-
                                  231c3c2cdd8453e8d01baa2c9f2def14892db3c3004c18de16f4d82cb7ba6df7
                            cfs: 'Y'
                            ctin: 33ABCCZ4123M2YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 2643
                                itms:
                                  - num: 1
                                    itm_det:
                                      rt: 18
                                      txval: 2240
                                      iamt: 403
                                inv_typ: R
                                pos: '24'
                                idt: 10-12-2023
                                rchrg: 'N'
                                inum: '141519'
                                chksum: >-
                                  c5d125323e779d687ee02308001099bdb55f3afaefd36da570cb0eec4e5061ed
                            cfs: 'Y'
                            ctin: 29ABCCR4123K1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 354
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 300
                                      camt: 0
                                      iamt: 54
                                inv_typ: R
                                pos: '24'
                                idt: 12-12-2023
                                rchrg: 'N'
                                inum: NPS/1224/0088766
                                chksum: >-
                                  64aec8aebbf45c388d77bc8a03b38895e73ec5d89a44c18cbc9703a44b419a65
                            cfs: 'Y'
                            ctin: 27ABCCI0123E1YZ
                            fldtr1: 10-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 12390
                                itms:
                                  - num: 1800
                                    itm_det:
                                      rt: 18
                                      txval: 10500
                                      iamt: 1890
                                inv_typ: R
                                pos: '24'
                                idt: 21-12-2023
                                rchrg: 'N'
                                inum: INV-000764
                                chksum: >-
                                  a15e9083d654cb370ff7add0ef93fe072a8a1a1c5ad96ee569941a5cd433a71e
                            cfs: 'Y'
                            ctin: 29ABCCR4123K1YZ
                            fldtr1: 10-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 1497
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 80.2
                                      rt: 12
                                      txval: 1336.62
                                      camt: 80.2
                                inv_typ: R
                                pos: '24'
                                idt: 03-10-2023
                                rchrg: 'N'
                                inum: VPDL-331
                                chksum: >-
                                  be4342e9e49709abc9e5f11d3098212e6db62df15a960973b580361d458f1ba8
                            cfs: 'Y'
                            ctin: 24ABCPM7123B2YZ
                            fldtr1: 09-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 25000
                                itms:
                                  - num: 1
                                    itm_det:
                                      csamt: 0
                                      samt: 0
                                      rt: 18
                                      txval: 21186.44
                                      camt: 0
                                      iamt: 3813.56
                                inv_typ: R
                                pos: '24'
                                idt: 19-12-2023
                                rchrg: 'N'
                                inum: OPV/997000175687
                                chksum: >-
                                  8d829a556dcde2e34abe140562131b7bea4aec7eeb2f9ac0ebc668582eaddeb0
                            cfs: 'Y'
                            ctin: 27ABCCN2123N1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                          - inv:
                              - val: 12711.98
                                itms:
                                  - num: 1
                                    itm_det:
                                      rt: 18
                                      txval: 8315.9
                                      iamt: 1496.86
                                inv_typ: R
                                pos: '24'
                                idt: 31-12-2023
                                rchrg: 'N'
                                inum: 4XCFPHNO3URQ1223
                                chksum: >-
                                  75d98911ec2350b650c79a157760948606fd89837d623d16a19e7b1b4343c457
                              - val: 52865.55
                                itms:
                                  - num: 1
                                    itm_det:
                                      rt: 18
                                      txval: 41022.9
                                      iamt: 7384.13
                                inv_typ: R
                                pos: '24'
                                idt: 31-12-2023
                                rchrg: 'N'
                                inum: GSDKTASVXEXU1223
                                chksum: >-
                                  89e0c717a02ff5666d1f7a5a59fed3a0a368c96036ad88248902b1eaf6b87a73
                            cfs: 'Y'
                            ctin: 29ABCCR4123J1YZ
                            fldtr1: 11-Jan-24
                            cfs3b: 'Y'
                            flprdr1: Dec-23
                    timestamp: 1776921876217
          headers: {}
      deprecated: false
      security: []
components:
  schemas:
    GetGstr2aB2bResponse:
      oneOf:
        - $ref: '#/components/schemas/GetGstr2aB2bSuccessResponse'
        - $ref: '#/components/schemas/GstnBusinessErrorResponse'
      description: >-
        A GSTN success or GSTN business-failure response. Both variants use HTTP
        200.
    GetGstr2aB2bSuccessResponse:
      allOf:
        - $ref: '#/components/schemas/TaxpayerResponseMetadata'
        - type: object
          required:
            - data
          properties:
            data:
              type: object
              description: The GSTN success wrapper.
              required:
                - status_cd
                - data
              properties:
                status_cd:
                  type: string
                  enum:
                    - '1'
                  description: GSTN success status.
                  example: '1'
                data:
                  $ref: '#/components/schemas/GetGstr2aB2bSuccessPayload'
    GstnBusinessErrorResponse:
      type: object
      description: HTTP 200 response containing a GSTN business failure.
      required:
        - code
        - timestamp
        - transaction_id
        - data
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
        data:
          type: object
          description: The GSTN business-failure wrapper.
          required:
            - status_cd
            - error
          properties:
            status_cd:
              type: string
              enum:
                - '0'
              description: GSTN business-failure status.
              example: '0'
            error:
              $ref: '#/components/schemas/GstnBusinessError'
    TaxpayerResponseMetadata:
      type: object
      description: Fields included in every taxpayer endpoint response.
      required:
        - code
        - timestamp
        - transaction_id
      properties:
        code:
          type: integer
          description: The HTTP status code reported in the response body.
          enum:
            - 200
          example: 200
        timestamp:
          type: integer
          format: int64
          description: The response timestamp in Unix epoch milliseconds.
          example: 1763446641000
        transaction_id:
          type: string
          description: The transaction identifier used to trace the request.
          example: 41bb8041-fb83-4654-8d75-85a19f329158
    GetGstr2aB2bSuccessPayload:
      type: object
      description: Successful GSTN payload for Get Gstr2a B2b.
      properties:
        b2b:
          type: array
          description: The b2b value returned by GSTN.
          items:
            type: object
            properties:
              ctin:
                type: string
                description: GSTIN/UID of the Receiver taxpayer/UN,Govt Bodies
                minLength: 15
                maxLength: 15
              cfs:
                type: string
                description: R1_Fil_Status
              cfs3b:
                type: string
                description: R3B_Fil_Status
              dtcancel:
                type: string
                description: Date of cancellation of supplier
              fldtr1:
                type: string
                description: Date of filing GSTR1/5 of supplier
              flprdr1:
                type: string
                description: Filing period of GSTR1/5 of supplier
              inv:
                type: array
                description: The inv value returned by GSTN.
                items:
                  type: object
                  properties:
                    chksum:
                      type: string
                      description: checksum value
                    inum:
                      type: string
                      description: Supplier Invoice Number
                    idt:
                      type: string
                      description: Supplier Invoice Date
                    val:
                      type: number
                      description: Supplier Invoice Value
                    pos:
                      type: string
                      description: >-
                        Maintained in GST System common database POS as provided
                        in law / actual provision of service.
                    rchrg:
                      type: string
                      description: Reverse Charge
                    inv_typ:
                      type: string
                      description: flag to determine if it is sez or deemed
                    diff_percent:
                      type: number
                      description: Differential percentage
                    aspd:
                      type: string
                      description: Return period in which invoice is amended
                    atyp:
                      type: string
                      description: flag to determine type of amendment
                    itms:
                      type: array
                      description: The itms value returned by GSTN.
                      items:
                        type: object
                        properties:
                          num:
                            type: integer
                            description: row numer
                          itm_det:
                            type: object
                            description: details of the items of invoice
                            properties:
                              txval:
                                type: number
                                description: >-
                                  Taxable value of Goods or Service as per
                                  invoice
                              iamt:
                                type: number
                                description: tax amount for igst
                              camt:
                                type: number
                                description: tax amount for cgst
                              samt:
                                type: number
                                description: tax amount for sgst
                              csamt:
                                type: number
                                description: tax amount for cess
                              rt:
                                type: number
                                description: Tax Rate
                    irn:
                      type: string
                      description: The irn value returned by GSTN.
                    irngendate:
                      type: string
                      description: The irngendate value returned by GSTN.
                    srctyp:
                      type: string
                      description: The srctyp value returned by GSTN.
    GstnBusinessError:
      type: object
      description: A business error returned by GSTN.
      required:
        - error_cd
        - message
      properties:
        error_cd:
          type: string
          description: The GSTN business error code.
          example: RET11416
        message:
          type: string
          description: A human-readable description of the GSTN business error.
          example: No records found.

````